unit config;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TConfigForm = class(TForm)
    OkBtn: TButton;
    CancelBtn: TButton;
    Label1: TLabel;
    Label2: TLabel;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Label3: TLabel;
    Label4: TLabel;
    Edit1: TEdit;
    Bevel1: TBevel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    Bevel2: TBevel;
    GetBtn: TButton;
    CheckBox4: TCheckBox;
    procedure CancelBtnClick(Sender: TObject);
    procedure OkBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure GetBtnClick(Sender: TObject);
  private
    FMUDCoding: integer;
    FMUDCRLF: integer;
    FMUDPath: string;
    FEditorStatus: boolean;
    FEditorConfirm: boolean;
    FEditorTools: boolean;
  public
    { Public declarations }
  end;

var
  ConfigForm: TConfigForm;

implementation

{$R *.DFM}

uses
  main;

procedure TConfigForm.FormActivate(Sender: TObject);
begin
  FMUDCoding := ComboBox1.ItemIndex;
  FMUDCRLF := ComboBox2.ItemIndex;
  FMUDPath := Edit1.Text;
  FEditorStatus := CheckBox1.Checked;
  FEditorConfirm := CheckBox2.Checked;
  FEditorTools := CheckBox3.Checked;
end;

procedure TConfigForm.CancelBtnClick(Sender: TObject);
begin
  ComboBox1.ItemIndex := FMUDCoding;
  ComboBox2.ItemIndex := FMUDCRLF;
  Edit1.Text := FMUDPath;
  CheckBox1.Checked := FEditorStatus;
  CheckBox2.Checked := FEditorConfirm;
  CheckBox3.Checked := FEditorTools;
  Close;
end;

procedure TConfigForm.OkBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TConfigForm.GetBtnClick(Sender: TObject);
begin
  CheckBox1.Checked := MainForm.N24.Checked;
  CheckBox2.Checked := MainForm.NConfirm.Checked;
  CheckBox3.Checked := MainForm.N25.Checked;
end;


end.
