unit desc;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TDescForm = class(TForm)
    DescMemo: TMemo;
    OkBtn: TButton;
    ClearBtn: TButton;
    CancelBtn: TButton;
    procedure ClearBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure OkBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    Execute: boolean;
  end;

var
  DescForm: TDescForm;

implementation

{$R *.DFM}

procedure TDescForm.ClearBtnClick(Sender: TObject);
begin
  DescMemo.Clear;
end;

procedure TDescForm.FormActivate(Sender: TObject);
begin
  Execute := False;
  ActiveControl := DescMemo;
end;

procedure TDescForm.OkBtnClick(Sender: TObject);
begin
  Execute := True;
  Close;
end;

procedure TDescForm.CancelBtnClick(Sender: TObject);
begin
  Close;
end;

end.
