unit effect;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin;

type
  TEffectForm = class(TForm)
    ComboBox: TComboBox;
    OkBtn: TButton;
    CancelBtn: TButton;
    SpinEdit: TSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure OkBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    Execute: boolean;
  end;

var
  EffectForm: TEffectForm;

implementation

uses
  main;

{$R *.DFM}

procedure TEffectForm.OkBtnClick(Sender: TObject);
begin
  Execute := True;
  Close;
end;

procedure TEffectForm.CancelBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TEffectForm.FormActivate(Sender: TObject);
begin
  Execute := False;
  ActiveControl := ComboBox;
end;

procedure TEffectForm.FormCreate(Sender: TObject);
begin
  MainForm.LoadFromFileToComboBox('Bonus', ComboBox, 20, 0);
end;

end.
