unit numedit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin, ExtCtrls;

type
  TNumberForm = class(TForm)
    NumEdit: TSpinEdit;
    OkBtn: TButton;
    CancelBtn: TButton;
    Label1: TLabel;
    Label2: TLabel;
    ComboBox1: TComboBox;
    QtyEdit: TSpinEdit;
    Label3: TLabel;
    Bevel2: TBevel;
    Label4: TLabel;
    QtyLabel: TLabel;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure OkBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure NumEditEnter(Sender: TObject);
    procedure QtyEditEnter(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    Execute: boolean;
    CreateType: byte;
    procedure SetMaxQty(Qty: integer);
  end;

var
  NumberForm: TNumberForm;

implementation

uses
  main, templets;

{$R *.DFM}

procedure TNumberForm.FormShow(Sender: TObject);
begin
  Execute := False;
  ActiveControl := NumEdit;
  case MainForm.PageControl1.ActivePage.TabIndex of
   1: ComboBox1.Items.Assign(RoomTemplet);
   2: ComboBox1.Items.Assign(ObjTemplet);
   3: ComboBox1.Items.Assign(MobTemplet);
   4: ComboBox1.Items.Assign(ShopTemplet);
   5: ComboBox1.Items.Assign(TrigTemplet);
  end; {case}
  if ComboBox1.Items.Count > 0 then ComboBox1.ItemIndex := 0;
end;

procedure TNumberForm.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = Chr(VK_RETURN) then
   OkBtnClick(Sender)
  else if Key = Chr(VK_ESCAPE) then
   CancelBtnClick(Sender);
end;

procedure TNumberForm.OkBtnClick(Sender: TObject);
begin
  Execute := True;
  Close;
end;

procedure TNumberForm.CancelBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TNumberForm.NumEditEnter(Sender: TObject);
begin
  NumEdit.Color := clWindow;
  QtyEdit.Color := clBtnFace;
  CreateType := 1;
end;

procedure TNumberForm.QtyEditEnter(Sender: TObject);
begin
  NumEdit.Color := clBtnFace;
  QtyEdit.Color := clWindow;
  CreateType := 2;
end;

procedure TNumberForm.SetMaxQty(Qty: integer);
begin
  QtyEdit.MaxValue := Qty;
  QtyLabel.Caption := IntToStr(Qty);
end;

end.
