unit roommob;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin, checklst, vars;

type
  TRoomMobForm = class(TForm)
    Label1: TLabel;
    MobListBox: TListBox;
    OkBtn: TButton;
    MobEdit: TSpinEdit;
    AddBtn: TButton;
    CancelBtn: TButton;
    IFFlagCheckBox: TCheckBox;
    procedure CancelBtnClick(Sender: TObject);
    procedure AddBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure OkBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    Execute: boolean;
    procedure SetMob(const RoomMob: TRoomMob);
    procedure GetMob(var RoomMob: TRoomMob);
  end;

var
  RoomMobForm: TRoomMobForm;

implementation

{$R *.DFM}
uses
  main;

procedure TRoomMobForm.FormActivate(Sender: TObject);
begin
  Execute := False;
end;

procedure TRoomMobForm.CancelBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TRoomMobForm.AddBtnClick(Sender: TObject);
begin
  if MobEdit.Value <> 0 then
  begin
    Execute := True;
    Close;
  end else
   MessageDlg(' ', mtError, [mbOk], 0);
end;

procedure TRoomMobForm.OkBtnClick(Sender: TObject);
begin
  if MobListBox.ItemIndex >= 0 then
   MobEdit.Value := integer(MobListBox.Items.Objects[MobListBox.ItemIndex])
  else
   MessageDlg(' ', mtError, [mbOk], 0);
end;

procedure TRoomMobForm.SetMob(const RoomMob: TRoomMob);
begin
  with RoomMob do
  begin
    MobListBox.ItemIndex := MobListBox.Items.IndexOfObject(TObject(Number));
    MobEdit.Value := Number;
    IFFlagCheckBox.Checked := IFFlag;
  end;
end;

procedure TRoomMobForm.GetMob(var RoomMob: TRoomMob);
begin
  with RoomMob do
  begin
    Number := MobEdit.Value;
    IFFlag := IFFlagCheckBox.Checked;
  end;
end;
                             
end.
