unit tools;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, ComCtrls, ToolWin, StdCtrls;//, ImgList;

type
  TToolsForm = class(TForm)
    ToolBar1: TToolBar;
    PrevBtn: TToolButton;
    ImageList1: TImageList;
    NextBtn: TToolButton;
    ToolButton3: TToolButton;
    NewBtn: TToolButton;
    ApplyBtn: TToolButton;
    CancelBtn: TToolButton;
    CopyBtn: TToolButton;
    DeleteBtn: TToolButton;
    ToolButton1: TToolButton;
    MultiBtn: TToolButton;
    SaveZoneBtn: TToolButton;
    procedure PrevBtnClick(Sender: TObject);
    procedure NextBtnClick(Sender: TObject);
    procedure ApplyBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure NewBtnClick(Sender: TObject);
    procedure DeleteBtnClick(Sender: TObject);
    procedure CopyBtnClick(Sender: TObject);
    procedure SaveZoneBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ToolsForm: TToolsForm;

implementation

uses
  main, vars;

{$R *.DFM}

procedure TToolsForm.PrevBtnClick(Sender: TObject);
begin
  MainForm.N28Click(Sender);
end;

procedure TToolsForm.NextBtnClick(Sender: TObject);
begin
  MainForm.N29Click(Sender);
end;

procedure TToolsForm.ApplyBtnClick(Sender: TObject);
begin
  case MainForm.PageControl1.ActivePage.TabIndex of
   0: {zone}
    TZone(MainForm.Z_ListBox.Items.Objects[CurrentZone]).GetFromEditor;
   1: {room}
    TRoom(RoomList.Items[CurrentRoom]).GetFromEditor;
   2: {object}
    TObj(ObjList.Items[CurrentObj]).GetFromEditor;
   3: {mob}
    TMob(MobList.Items[CurrentMob]).GetFromEditor;
   4: {shop}
    TShop(ShopList.Items[CurrentShop]).GetFromEditor;
   5: {trigger}
    TTrigger(TriggerList.Items[CurrentTrigger]).GetFromEditor;
  end;
  MainForm.ChangeItem := False;
end;

procedure TToolsForm.CancelBtnClick(Sender: TObject);
begin
  if MessageDlg(' ?', mtConfirmation, [mbYes, mbNo], 0) = mrYes then
  begin
    case MainForm.PageControl1.ActivePage.TabIndex of
     0: {zone}
      TZone(MainForm.Z_ListBox.Items.Objects[CurrentZone]).SetToEditor;
     1: {room}
      TRoom(RoomList.Items[CurrentRoom]).SetToEditor;
     2: {object}
      TObj(ObjList.Items[CurrentObj]).SetToEditor;
     3: {mob}
      TMob(MobList.Items[CurrentMob]).SetToEditor;
     4: {shop}
      TShop(ShopList.Items[CurrentShop]).SetToEditor;
     5: {trigger}
      TTrigger(TriggerList.Items[CurrentTrigger]).SetToEditor;
    end; {case}
    MainForm.ChangeItem := False;
  end;
end;

procedure TToolsForm.NewBtnClick(Sender: TObject);
begin
  MainForm.N17Click(Sender);
end;

procedure TToolsForm.DeleteBtnClick(Sender: TObject);
begin
  MainForm.N18Click(Sender);
end;

procedure TToolsForm.CopyBtnClick(Sender: TObject);
begin
  MainForm.N19Click(Sender);
end;

procedure TToolsForm.SaveZoneBtnClick(Sender: TObject);
begin
  MainForm.N34Click(Sender);
end;

end.
